// CustomDrawingView.h : interface of the CCustomDrawingView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_CUSTOMDRAWINGVIEW_H__3035B791_CB96_4005_8484_EDF6604FD9E3__INCLUDED_)
#define AFX_CUSTOMDRAWINGVIEW_H__3035B791_CB96_4005_8484_EDF6604FD9E3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <Dapfor/GUI/Grid.h>
#include "MyCustomDraw.h"
#include "Filter.h"

class CCustomDrawingView : public CView
{
protected: // create from serialization only
    CCustomDrawingView();
    DECLARE_DYNCREATE(CCustomDrawingView)

// Attributes
public:
    CCustomDrawingDoc* GetDocument();

// Operations
public:

// Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CCustomDrawingView)
    public:
    virtual void OnDraw(CDC* pDC);  // overridden to draw this view
    virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
    protected:
    virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
    virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
    virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
    //}}AFX_VIRTUAL

// Implementation
public:
    virtual ~CCustomDrawingView();
#ifdef _DEBUG
    virtual void AssertValid() const;
    virtual void Dump(CDumpContext& dc) const;
#endif

protected:
    Dapfor::GUI::CGrid m_Grid;
	CBitmap m_Background;
	CMyCustomDraw m_CustomDraw;
	CFilter m_Filter;
	
// Generated message map functions
protected:
    //{{AFX_MSG(CCustomDrawingView)
    afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
    afx_msg void OnDestroy();
    afx_msg void OnSize(UINT nType, int cx, int cy);
    afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnExpand();
	afx_msg void OnCollapse();
	afx_msg void OnShowLines();
	afx_msg void OnShowLinesUpdateUI(CCmdUI* pCmdUI);
	afx_msg void OnEnableColoring();
	afx_msg void OnEnableColoringUI(CCmdUI* pCmdUI);
	afx_msg void OnEnableIcons();
	afx_msg void OnEnableIconsUI(CCmdUI* pCmdUI);
	afx_msg void OnEnableFixedContent();
	afx_msg void OnEnableFixedContentUI(CCmdUI* pCmdUI);

    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in CustomDrawingView.cpp
inline CCustomDrawingDoc* CCustomDrawingView::GetDocument()
   { return (CCustomDrawingDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CUSTOMDRAWINGVIEW_H__3035B791_CB96_4005_8484_EDF6604FD9E3__INCLUDED_)
