// Filter.cpp: implementation of the CFilter class.
//
//////////////////////////////////////////////////////////////////////
#include "StdAfx.h"
#include "CustomDrawing.h"
#include "Filter.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CFilter::CFilter(bool autoDelete) 
	: m_ShowFixedContent(true)
	, m_AutoDelete(autoDelete)
{

}

CFilter::~CFilter()
{

}

bool CFilter::operator () (const Dapfor::GUI::CGrid& grid, const Dapfor::GUI::HITEM  item, const Dapfor::Common::CDataObject* pDO)
{
	if(!m_ShowFixedContent)
	{
		//Filter all items in the fixed context
		if(grid.GetContextType(item) == Dapfor::GUI::FixedContext)
		{
			return true;
		}
	}
	return false;

}

bool CFilter::AutoDelete() const
{
	return m_AutoDelete;
}

void CFilter::ShowFixedContent(bool show)
{
	m_ShowFixedContent = show;
}
bool CFilter::CanShowFixedContent() const
{
	return m_ShowFixedContent;
}

