#pragma once

//If you have many classes, the objects of which can be inserted into the grid,
//then some properties of them may return the identical information. For ex: type information, names, etc.
//The best practice is to use an enumeration like shown below, which permits to share 
//generic identifiers and to reserve a range of identifiers related only for specified classes.
//If you change, add, or remove identifiers, then the compiler will rebuild your project properly.
enum CommonFields
{
	//This is is a part of common field identifiers, that can be used by many classes 
	FidObjectType,

	//The next lines reserve a range of identifiers for different classes
	FidOrderBase = 1000,	//For orders
	FidDocumentBase = 2000,	//For documents
};

enum ObjectType
{
	Document,
	Order,
};

