#pragma once

#include <Dapfor/Common/DataObject.h>

class CFolderData;


//////////////////////////////////////////////////////////////////////////
// File related information (name, size, creation date, attributes, etc...)
// This is a business part of the project
//////////////////////////////////////////////////////////////////////////
class CFileData : public Dapfor::Common::CDataObject, 
                  public Dapfor::Common::CDataObject::ISink
{
public:
    CFileData(const CString& name, 
              CFolderData* parent, 
              __int64 size, 
              __int64 creationTime, 
              __int64 lastAccessTime, 
              __int64 lastWriteTime);

    virtual ~CFileData();

    const CFolderData* GetParent() const;

    //Field accessors
    CString  GetName() const;
    CString  GetFullName() const;
    __int64  GetSize() const;
    __int64  GetCreationTime() const;
    __int64  GetLastAccessTime() const;
    __int64  GetLastWriteTime() const;
    long     GetType() const;

protected:
    //Dapfor::Common::CDataObject::ISink implementation
    virtual void OnUpdate(Dapfor::Common::FID fid, const Dapfor::Common::CDataObject* dataObject); 

private:
    //Some fields
    CString m_Name;
    __int64 m_Size;
    __int64 m_CreationTime;
    __int64 m_LastAccessTime;
    __int64 m_LastWriteTime;
    CFolderData* m_Parent;

    DF_DECLARE_FIELD_MAP();
};
