// HierarchicalExplorerView.h : interface of the CHierarchicalExplorerView class
//
/////////////////////////////////////////////////////////////////////////////

#pragma once

#include <Dapfor/GUI/Grid.h>
#include "FileManager.h"

class CHierarchicalExplorerView : public CView, CFileManager::IListener
{
protected: // create from serialization only
    CHierarchicalExplorerView();
    virtual ~CHierarchicalExplorerView();
    DECLARE_DYNCREATE(CHierarchicalExplorerView)

// Attributes
public:
    CHierarchicalExplorerDoc* GetDocument();

protected:
    //CFileManager::IListener implementation
    virtual void OnAddDrive(CFolderData& folder);   //Called when a new drive is found
    virtual void OnAddFolder(CFolderData& folder);  //Called when a new folder is found
    virtual void OnAddFile(CFileData& file);        //Called when a new file is found

    //{{AFX_VIRTUAL(CHierarchicalExplorerView)
    virtual void OnDraw(CDC* pDC);  // overridden to draw this view
    virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
    //}}AFX_VIRTUAL

    //{{AFX_MSG(CHierarchicalExplorerView)
    afx_msg BOOL OnEraseBkgnd(CDC* pDC);
    afx_msg void OnSize(UINT nType, int cx, int cy);
    afx_msg int  OnCreate(LPCREATESTRUCT lpCreateStruct);
    afx_msg void OnDestroy();
    afx_msg void OnIncreaseFont();
    afx_msg void OnDecreaseFont();
    afx_msg void OnExpandAll();
    afx_msg void OnCollapseAll();
    afx_msg void OnShowLines();
    afx_msg void OnShowLinesUpdateUI(CCmdUI* pCmdUI);
    afx_msg void OnSelectColumns();
    //}}AFX_MSG


protected:
    Dapfor::GUI::CGrid m_Grid;

    DECLARE_MESSAGE_MAP()
};

inline CHierarchicalExplorerDoc* CHierarchicalExplorerView::GetDocument()
{ 
    return (CHierarchicalExplorerDoc*)m_pDocument; 
}

