// MyFirstApplicationView.cpp : implementation of the CMyFirstApplicationView class
//

#include "stdafx.h"
#include "MyFirstApplication.h"

#include "MyFirstApplicationDoc.h"
#include "MyFirstApplicationView.h"
#include "TestClass.h"



#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CMyFirstApplicationView

IMPLEMENT_DYNCREATE(CMyFirstApplicationView, CView)

BEGIN_MESSAGE_MAP(CMyFirstApplicationView, CView)
    ON_WM_CREATE()
    ON_WM_SIZE()
    ON_WM_ERASEBKGND()
    ON_WM_DESTROY()
END_MESSAGE_MAP()

// CMyFirstApplicationView construction/destruction

CMyFirstApplicationView::CMyFirstApplicationView()
{
}

CMyFirstApplicationView::~CMyFirstApplicationView()
{
}

BOOL CMyFirstApplicationView::PreCreateWindow(CREATESTRUCT& cs)
{
    // TODO: Modify the Window class or styles here by modifying
    //  the CREATESTRUCT cs

    return CView::PreCreateWindow(cs);
}

CMyFirstApplicationDoc* CMyFirstApplicationView::GetDocument() const 
{
    ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CMyFirstApplicationDoc)));
    return (CMyFirstApplicationDoc*)m_pDocument;
}

void CMyFirstApplicationView::OnDraw(CDC* /*pDC*/)
{
    // TODO: Add your specialized code here and/or call the base class
}


// CMyFirstApplicationView message handlers
int CMyFirstApplicationView::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
    if (CView::OnCreate(lpCreateStruct) == -1)
        return -1;

    //Initialize the grid
    m_Grid.Create(0, 0, WS_VISIBLE|WS_CHILD, CRect(), this, 1000);

    //Create some header. The value 'true' in the constructor indicates, that the header will be owned by the grid and
    //the grid will handle the life time of the header. This means, that the grid will destroy the header in its destructor.
    Dapfor::GUI::CHeader* header = new Dapfor::GUI::CHeader(true);
    
    //Add some columns. To show values, returned by functions, defined in CTestClass, 
    //we will use identifiers, declared in this class.
    header->Add(new Dapfor::GUI::CColumn(CTestClass::FidName,       _T("Name"),   70));
    header->Add(new Dapfor::GUI::CColumn(CTestClass::FidSomeLong,   _T("Long"),   60, Dapfor::GUI::CColumn::Auto, true));
    header->Add(new Dapfor::GUI::CColumn(CTestClass::FidSomeInt64,  _T("Int64"),  100, Dapfor::GUI::CColumn::Auto, true));
    header->Add(new Dapfor::GUI::CColumn(CTestClass::FidSomeDouble, _T("Double"), 60, Dapfor::GUI::CColumn::Auto, true));
    header->Add(new Dapfor::GUI::CColumn(CTestClass::FidSomeDate,   _T("Date"),   80, Dapfor::GUI::CColumn::Auto, true));

    //Set the header
    m_Grid.SetHeader(header);
    
    //Initialize background colors
    m_Grid.GetAppearance().SetBackEvenColor(RGB(255, 255, 255));
    m_Grid.GetAppearance().SetBackOddColor(RGB(240, 240, 240));
	
	//Start edit in place with single click
	m_Grid.GetEditInPlaceSettings().SetActivationType(Dapfor::GUI::CEditInPlaceSettings::mouseClick);

    
    //Add objects from the document to the grid...
    for(CMyFirstApplicationDoc::Container::const_iterator it = GetDocument()->GetContainer().begin(); 
                                                    it != GetDocument()->GetContainer().end(); 
                                                    ++it)
    {
        Dapfor::GUI::HITEM handle = m_Grid.Add(*it);
    }

    //Here you can set your sort rules.
    //A small tweak: click on the header with left mouse button to change the sort direction
    //The click with pressed Ctrl button adds/changes multiple sort
    //The click with pressed Shift button to cancels the sort
    m_Grid.SetSort(0, Dapfor::GUI::CSortInfo(CTestClass::FidSomeLong, false));  //Sort by the first column
    m_Grid.SetSort(1, Dapfor::GUI::CSortInfo(CTestClass::FidSomeInt64, true));  //This line add a multiple sort by the second column

    //Select rows 3 and 4
    m_Grid.Select(3, Dapfor::GUI::ScrollableContext, true);
    m_Grid.Select(4, Dapfor::GUI::ScrollableContext, true);

    //Select a row in the grid that corresponds to the sixth element in the container.
    //Note, that you don't need to find the row in the grid. 
    //Be sure that this is more efficient than linear search even in the grids with huge number of elements.
    m_Grid.Select(GetDocument()->GetContainer()[6], true);

    return 0;
}

void CMyFirstApplicationView::OnSize(UINT nType, int cx, int cy)
{
    //Adjust the grid to client rectangles
    CView::OnSize(nType, cx, cy);
    CRect rc;
    GetClientRect(rc);

    m_Grid.MoveWindow(rc);
}

BOOL CMyFirstApplicationView::OnEraseBkgnd(CDC* pDC)
{
    
    //To avoid flickering we don't handle this message in the base class
    return TRUE;
    //return CView::OnEraseBkgnd(pDC);
}

void CMyFirstApplicationView::OnDestroy()
{
    //Remove all values from the grid. Note, that the grid doesn't handle the life time of inserted objects and doesn't 
    //destroy them.
    m_Grid.DeleteAll();

    CView::OnDestroy();
}


