/////////////////////////////////////////////////////////////////////////////////////////////////////
// Copyright 2007-2008 Dapfor
//                                                                         
// This file is part of the Dapfor software, and may only be used, modified, and distributed 
// under the terms of the Dapfor Software License, Version 1.0.
// (See accompanying file lisense.txt or open the license at www.dapfor.com/license_agreement.aspx)
// By continuing to use, modify, or distribute this file you indicate that you have read the license 
// and understand and accept it fully.
/////////////////////////////////////////////////////////////////////////////////////////////////////

#pragma once 

#include <Dapfor/GUI/GUI_Export.h>

namespace Dapfor
{
namespace GUI
{

//////////////////////////////////////////////////////////////////////////
///\brief Determines whether the object that implements interface IAutoDelete interface
/// is destroyed by CGrid.
///
/// \version <b>2.0.0</b> Initial version
///
/// \class  IAutoDelete IAutoDelete.h Dapfor/GUI/IAutoDelete.h
/// \file IAutoDelete.h
//////////////////////////////////////////////////////////////////////////
class DF_GUI_API IAutoDelete
{
public:
    virtual ~IAutoDelete();
    
    /// Indicates whether the object of the class, derived from interface IAutoDelete interface
    /// is destroyed by CGrid. (Usually in the destructor of CGrid).
    virtual bool AutoDelete() const = 0;
};

}//namespace GUI

}//namespace Dapfor

